none
是否有直接在pda中安裝的cf.net 2.0的安裝檔? RRS feed

  • 問題

  • 我從pc端安裝cf.net 2.0然後同步到pda一直無法成功

    所以我想要從pda上直接安裝不知使否可行

    謝謝

    2006年4月3日 上午 06:05

解答

  • OK, 如果是PPC 2003 SE, 請Copy %Program Files%\Microsoft Vistual Studio 8\SmartDevices\SDK\CompactFramework\2.0\v2.0\WindowsCE\wce400\armv4\NETCFv2.ppc.armv4.cab. 我試過這個在我的PPC 2003 SE上,一切正常.

    2006年4月4日 上午 01:53

所有回覆

  • 當然可以!首先你要安裝ActiveSync4.0,然後將NETCFV2.wm.arm4i.cab(這個檔案通常存在於 %Program Files%\Microsoft Visual Studio 8\SmartDevices\SDK\CompactFramework\2.0\v2.0\WindowsCE\wce500\armv4i\), copy到你的 pocket pc or smartphone, 然後從你的pocket pc/smartphone, 按兩下來執行這個cab檔,就可順利安裝 NETCF2.0.
    2006年4月3日 上午 07:26
  • 謝謝您

      我依您的建議將該檔複製到pda上執行

    會出現"不是有效的windows CE安裝檔"的訊息

    我的pocket pc 是 ppc2003的

    2006年4月3日 上午 08:24
  • OK, 如果是PPC 2003 SE, 請Copy %Program Files%\Microsoft Vistual Studio 8\SmartDevices\SDK\CompactFramework\2.0\v2.0\WindowsCE\wce400\armv4\NETCFv2.ppc.armv4.cab. 我試過這個在我的PPC 2003 SE上,一切正常.

    2006年4月4日 上午 01:53
  • 非常感謝您

        ppc2003 se的確實沒問題

        若是 ppc2003 第一版的要如何安裝呢

    2006年4月4日 上午 06:19
  • 很抱歉,我沒有PPC 2003第一版,所以沒試過. 但是,根據MSDN, 作法應該和SE的板本一樣(Copy %Program Files%\Microsoft Vistual Studio 8\SmartDevices\SDK\CompactFramework\2.0\v2.0\WindowsCE\wce400\armv4\NETCFv2.ppc.armv4.cab).你可以參考以下的MSDN連結,看看NETCF各個版本所支援的PPC/SMARTPHONE平台, http://msdn2.microsoft.com/zh-tw/library/ms172550(VS.80).aspx.

    2006年4月4日 上午 08:08
  • 我試過在PPC 2003第一版和第二版,都可以使用同一個CAB來安裝.NETCF V2.0
    2006年4月19日 上午 03:47
  • 不好意思 想請問一下各位前輩

    我現在有一台Compaq iPAQ H3800 作業系統是 Windows CE 3.0

    剛稍微看了一下CF版本與平台對照表 (似乎從CE 4.0開始支援CF 2.0?)

    是否我這台機型的PPC只能支援到CF 1.0呢?

    有辦法可以支援CF 2.0嗎?

    2006年8月15日 上午 02:51
  • 我覺得您可以照上面的方式裝一下cf2.0就知道了

    因為有一些是製造商制定過wince不確定都一樣的

    所以我建議實際安裝看看

    2006年8月15日 上午 06:37